function [config, file_info, rec_fold_info] = config_cornell_recognition()

config = config_cornell_base('icra_2015_cornell_recognition', ...
                             '../../datasets/cornell_grasping/rec_data');

config.feat_sets = {...
    {'depth', 'normals', 'curvature', 'shape_index'}
    };

config.path_sets = {...
    {{'hmp_path_Av1', 'layer_1'} ...
     {'hmp_path_Av1', 'layer_2'} ...
     {'hmp_path_Cv1', 'layer_1'} ...
     {'hmp_path_Cv1', 'layer_2'}} ...
    };

% File information for the dataset.
file_info_cache = fullfile(config.paths.results, 'file_info_cache.mat');
if exist(file_info_cache, 'file')
    load(file_info_cache, 'file_info');
else
    file_info = make_file_info(config.paths.dataset, ...
                               config.data_info.token_expr);
    save(file_info_cache, 'file_info');
end

% Load folds
config.split_root = 'fold';
config.n_folds = 5;
load(fullfile(config.paths.results, 'fold_info.mat'), 'rec_fold_info');
end
